Please ensure Javascript is enabled for purposes of website accessibility
PRC-Saltillo Logo
PRC Logo
Saltillo Logo
Realize Language Logo
ExploreAAC Logo
AAC Language Lab Logo
AAC And Autism Logo
ALP for AAC Logo
Touch Chat App Logo
LAMP Words for Life Logo
Dialogue AAC App
AAC Funding
AAC Learning Journey
AAC Group Coaching
PRC-Saltillo Store
Minspeak Academy
https://auth.prc-saltillo.com/v1/authorize?response_type=code&redirect_uri=https%3A%2F%2Fprc-saltillo.com%2Flogin&client_id=prcsaltillo&nonce=21d794a8edc79f81a56eb95e4cce921c&state=bc23be0be42a464d12c7a24c2f190492&scope=admin.read+address.write+area.read+email.read+openid.read+phone.write+profile.write+service.write+software.read+terms.write+title.write+user.write+verification.write Create New Account

Our websites will be undergoing scheduled maintenance on July 30th from 8:00 PM to 11:00PM Eastern Time. During this period, services will be unavailable. We apologize for any inconvenience and appreciate your understanding.

An issue has been identified that is preventing Empower software from loading on Accent devices. Read more for detailed instructions for how to fix your device. We sincerely apologize for any inconvenience this may have caused.

We only use strictly necessary cookies for this website. Please see the privacy policy for more information.   


TouchChat®, LAMP Words for Life®, and Dialogue® AAC by PRC-Saltillo will discontinue support for iOS 14 starting with the 2.49 release coming in July 2024. 

AAC iOS App Support 

With every release, we ensure that new features can be used by supported iOS versions (currently iOS 14-17). As technology advances rapidly, it is increasingly difficult to ensure compatibility with out-of-date iOS versions. To provide you with the best app experience, support for iOS 14 will be ending. 

Update Your iOS Device  

You are strongly encouraged to update your iPhone® or iPad® to iOS 15 or higher, ideally the latest version. By doing this you'll gain access to all the updates and features your app has to offer. 

The minimum requirement for iOS devices supported by all three AAC apps is iOS version 15.0 or later. 

If your device doesn't support any of the newer iOS versions: 

  • you can still use or download your app with version 2.48 and continue using it even after July 2024 
  • you will not be able to update beyond 2.48 or access any new features introduced in later releases 

Questions? Please feel free to reach out to us at support@aacapps.com. 



Apps